#include<bits/stdc++.h>
using namespace std;
int a, b, x, y;
int main(){

    cin >> a >> b >> x >> y;

    if(a>x and b==y) cout << "prvi";
    else if(b>y and a==x) cout << "drugi";
    else if (a==x and b==y) cout << "nijedan";
    else if (a>x and b>y) cout << "?";

    return 0;

}